/**
 * generated by Xtext 2.15.0
 */
package org.xtext.example.mydsl.formula.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.xtext.example.mydsl.formula.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class FormulaFactoryImpl extends EFactoryImpl implements FormulaFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static FormulaFactory init()
  {
    try
    {
      FormulaFactory theFormulaFactory = (FormulaFactory)EPackage.Registry.INSTANCE.getEFactory(FormulaPackage.eNS_URI);
      if (theFormulaFactory != null)
      {
        return theFormulaFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new FormulaFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FormulaFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case FormulaPackage.SOLVE: return createSolve();
      case FormulaPackage.TEST: return createTest();
      case FormulaPackage.ALL_SOLVER: return createAllSolver();
      case FormulaPackage.SATSOLVER: return createSatsolver();
      case FormulaPackage.FORMULA: return createFormula();
      case FormulaPackage.EQUIV: return createEquiv();
      case FormulaPackage.IMPLIE: return createImplie();
      case FormulaPackage.OR: return createOr();
      case FormulaPackage.NOR: return createNor();
      case FormulaPackage.AND: return createAnd();
      case FormulaPackage.NAND: return createNand();
      case FormulaPackage.NOT: return createNot();
      case FormulaPackage.VAR_PROP: return createVarProp();
      case FormulaPackage.BOOL_CONSTANT: return createBoolConstant();
      case FormulaPackage.PFORMULA: return createPFormula();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Solve createSolve()
  {
    SolveImpl solve = new SolveImpl();
    return solve;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Test createTest()
  {
    TestImpl test = new TestImpl();
    return test;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AllSolver createAllSolver()
  {
    AllSolverImpl allSolver = new AllSolverImpl();
    return allSolver;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Satsolver createSatsolver()
  {
    SatsolverImpl satsolver = new SatsolverImpl();
    return satsolver;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Formula createFormula()
  {
    FormulaImpl formula = new FormulaImpl();
    return formula;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Equiv createEquiv()
  {
    EquivImpl equiv = new EquivImpl();
    return equiv;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Implie createImplie()
  {
    ImplieImpl implie = new ImplieImpl();
    return implie;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Or createOr()
  {
    OrImpl or = new OrImpl();
    return or;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Nor createNor()
  {
    NorImpl nor = new NorImpl();
    return nor;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public And createAnd()
  {
    AndImpl and = new AndImpl();
    return and;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Nand createNand()
  {
    NandImpl nand = new NandImpl();
    return nand;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Not createNot()
  {
    NotImpl not = new NotImpl();
    return not;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public VarProp createVarProp()
  {
    VarPropImpl varProp = new VarPropImpl();
    return varProp;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public BoolConstant createBoolConstant()
  {
    BoolConstantImpl boolConstant = new BoolConstantImpl();
    return boolConstant;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public PFormula createPFormula()
  {
    PFormulaImpl pFormula = new PFormulaImpl();
    return pFormula;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public FormulaPackage getFormulaPackage()
  {
    return (FormulaPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static FormulaPackage getPackage()
  {
    return FormulaPackage.eINSTANCE;
  }

} //FormulaFactoryImpl
